generator:
  class: dmAdminDoctrineGenerator
  param:
    model_class: DmMailTemplate
    theme: dmAdmin
    non_verbose_templates: true
    with_show: false
    route_prefix: dm_mail_template
    with_doctrine_route: false
    config:
      actions: ~
      fields:
        is_html:
          label: Html
        is_active:
          label: Active
        subject:
          is_big: true
        body:
          is_big: true
        show_vars:
          is_big: true
        list_unsubscribe:
          help:   "http://www.list-unsubscribe.com/"
      list:
        display:
          - '=name'
          - description
          - is_active
          - nb_sent_mails
          - created_at
          - updated_at
        sort:
          - created_at
          - desc
        table_method: getAdminListQuery
        table_count_method: ~
      filter:
        display:
          - name
          - is_html
          - is_active
          - description
          - vars
          - subject
          - body
          - from_email
          - to_email
          - created_at
          - updated_at
      form:
        display:
          NONE: [name, is_active, description, is_html]
          Email: [_show_vars, subject, body]
          Addresses: [from_email, to_email, cc_email, bcc_email]
          Advanced: [reply_to_email, sender_email, list_unsubscribe]
        class: DmMailTemplateAdminForm
        fields: {  }
      edit: ~
      new: ~
    sortable: false
